Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056162 - Wireless: the lack of regulatory entries makes AD country unable to use some wifi drivers
Summary: Wireless: the lack of regulatory entries makes AD country unable to use some ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: crda
Version: 19
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 15:38 UTC by Jordi Sanfeliu
Modified: 2014-12-19 18:30 UTC (History)
1 user (show)

Fixed In Version: crda-1.1.3_2014.11.18-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-19 18:30:26 UTC


Attachments (Terms of Use)
Output in '/var/log/messages' using the AD and US localtimes (deleted)
2014-01-21 15:38 UTC, Jordi Sanfeliu
no flags Details

Description Jordi Sanfeliu 2014-01-21 15:38:43 UTC
Created attachment 853322 [details]
Output in '/var/log/messages' using the AD and US localtimes

Description of problem:

I've found that if the system is configured to be under the localtime 'Europe/Andorra', it's completely unable to use some modern wifi devices like:

ID 148f:5370 Ralink Technology, Corp. RT5370 Wireless Adapter

I've provided a file which includes the output in '/var/log/messages' under both localtimes (AD and US) after plugging the device on each localtime.


Version-Release number of selected component (if applicable):

crda-1.1.3_2013.02.13-2.fc19.i686


How reproducible:

Always.


Steps to Reproduce:
1. Set your system under the 'Europe/Andorra' localtime:
# ln -sf /usr/share/zoneinfo/Europe/Andorra /etc/localtime

2. Plug the wifi device into the USB connector.
3. 

Actual results:

NetworkManager doesn't finalizes the wifi network.


Expected results:

NetworkManager configures successfully the wifi network.


Additional info:

Comment 1 John W. Linville 2014-01-21 15:45:06 UTC
Perhaps you could provide a proposed wireless ruleset?

Comment 2 Jordi Sanfeliu 2014-01-21 17:24:08 UTC
(In reply to John W. Linville from comment #1)

John,

I've been using the ES localtime and it works without any problem. I'm not sure what is a correct rule set but I think that, by proximity, AD could use the same one as in ES:

country AD:
        (2402.000 - 2482.000 @ 40.000), (N/A, 20.00)
        (5170.000 - 5250.000 @ 40.000), (N/A, 20.00)
        (5250.000 - 5330.000 @ 40.000), (N/A, 20.00), DFS
        (5490.000 - 5710.000 @ 40.000), (N/A, 27.00), DFS

Thanks.

Comment 3 Fedora Update System 2014-12-03 16:23:46 UTC
crda-1.1.3_2014.11.18-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/crda-1.1.3_2014.11.18-1.fc19

Comment 4 Jordi Sanfeliu 2014-12-03 16:57:45 UTC
(In reply to Fedora Update System from comment #3)
> crda-1.1.3_2014.11.18-1.fc19 has been submitted as an update for Fedora 19.
> https://admin.fedoraproject.org/updates/crda-1.1.3_2014.11.18-1.fc19

Thank you very much!

Comment 5 Fedora Update System 2014-12-04 06:19:49 UTC
Package crda-1.1.3_2014.11.18-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing crda-1.1.3_2014.11.18-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16213/crda-1.1.3_2014.11.18-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-12-19 18:30:26 UTC
crda-1.1.3_2014.11.18-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.